<?php
/**
 * @package My-Short-News
 * @author Vladislav Musilek
 * @version 1.0
 */
/*
Plugin Name: My Short News
Plugin URI: http://musilda.cz/my-short-news/
Description: Allows Short News posts to be input from the admin menu and tags to output the Short News items on your templates 
Author: Vladislav Musilek
Version: 1.0
Author URI: http://musilda.cz
License: GPL2
*/
require_once('widget-shortnews.php');
add_action('init', 'my_short_news_init');

function add_scripts() {
$scripturl = WP_PLUGIN_URL .'/my-short-news/js/';

if(get_option('jquery') == 'true') {
if ( !is_admin() ) {
wp_deregister_script('jquery');
wp_register_script('jquery', $scripturl.'jquery.js', '', '1.7.2');
wp_enqueue_script('jquery');
}
}
}


function my_short_news_init() 
{
  // Create new Short-News custom post type
    $labels = array(
    'name' => _x('Short News', 'post type general name'),
    'singular_name' => _x('Short News', 'post type singular name'),
    'add_new' => _x('Add New', 'Short News'),
    'add_new_item' => __('Add New Short News'),
    'edit_item' => __('Edit Short News'),
    'new_item' => __('New Short News'),
    'view_item' => __('View Short News'),
    'search_items' => __('Search Short News'),
    'not_found' =>  __('No Short News found'),
    'not_found_in_trash' => __('No Short News found in Trash'), 
    '_builtin' =>  false, 
    'parent_item_colon' => ''
  );
  $args = array(
    'labels' => $labels,
    'public' => true,
    'publicly_queryable' => true,
  	'exclude_from_search' => false,
    'show_ui' => true, 
    'query_var' => true,
    'rewrite' => true,
    'capability_type' => 'post',
    'hierarchical' => false,
    'menu_position' => 20,
    'supports' => array('title','editor','author','thumbnail','excerpt','comments'),
  	'taxonomies' => array('category', 'post_tag')
  ); 
  register_post_type('short-news',$args);  
}


?>
