<?php

/*-----------------------------------------------------------------------------------

	Plugin Name: Shortnews
	Plugin URI: 
	Description: A widget that allows the display on a single 120x240 ad.
	Version: 1.0
	Author: 
	Author URI: 

-----------------------------------------------------------------------------------*/


//Add function to widgets_init that'll load our widget.
add_action( 'widgets_init', 'mm_shortnews_widgets' );

// Register widget.
function mm_shortnews_widgets() {
	register_widget( 'mm_shortnews_Widget' );
}

//Widget class.
class mm_shortnews_widget extends WP_Widget {
	

/*-----------------------------------------------------------------------------------*/
/*	Widget Setup
/*-----------------------------------------------------------------------------------*/
	
	function mm_shortnews_Widget() {
	
		/* Widget settings */
		$widget_ops = array( 'classname' => 'mm_shortnews_widget', 'description' => __('My Short News Widget.', 'framework') );

		/* Widget control settings */
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'mm_myshort_widget' );

		/* Create the widget */
		$this->WP_Widget( 'mm_shortnews_widget', __('Short news', 'framework'), $widget_ops );
	}
	

/*-----------------------------------------------------------------------------------*/
/*	Display Widget
/*-----------------------------------------------------------------------------------*/
	
	function widget( $args, $instance ) {
		extract( $args );

		/* Our variables from the widget settings. */
		$title = apply_filters('widget_title', $instance['title'] );
		$number = $instance['number'];
    
		/* Before widget (defined by themes). */
		echo $before_widget;

		/* Display the widget title if one was input (before and after defined by themes). */
		if ( $title )
			echo $before_title . $title . $after_title;
		?>
    <style>
            .short_news li h4{cursor:pointer;}
            .short_news li div{display:none;}
            .short_news li div p{margin:0;}
    </style>
    
 <script type="text/javascript">
jQuery.noConflict();
jQuery(document).ready( function($){	
	
  $( '.toggle-next + *' ).hide();
	$( '.toggle-next' ).click( function() {
		$( this ).next().slideToggle( 'fast' );
		return false;
	} );
    
    
});</script>
 
    <?php
		/* Display a containing div */
		echo '<div class="short_news">';

		/* Zobrazíme obsah */
		
      echo '<ul>';
    
	$r = wp_parse_args( $args, $defaults );
  	
	$qargs=array(
	   	'post_type'=>'short-news',
	   	'posts_per_page' => $number
	);

	query_posts($qargs);
 
	while ( have_posts() ) : the_post(); 
	 ?>  
   <li>
    <h4 class="toggle-next" id="<?php the_ID(); ?>"><?php the_title(); ?></h4>
    <div id="p_<?php the_ID(); ?>"><?php the_content();?></div>
  <?php endwhile;?>
  </li>
  </ul>
	</div>
  <?php
		/* After widget (defined by themes). */
		echo $after_widget;
	}


/*-----------------------------------------------------------------------------------*/
/*	Update Widget
/*-----------------------------------------------------------------------------------*/
	
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		/* Strip tags for title and name to remove HTML (important for text inputs). */
		$instance['title'] = strip_tags( $new_instance['title'] );
    
		/* No need to strip tags */
		
    $instance['number'] = $new_instance['number'];

		return $instance;
	}
	
	
/*-----------------------------------------------------------------------------------*/
/*	Widget Settings
/*-----------------------------------------------------------------------------------*/

	
	function form( $instance ) {
	
		/* Set up some default widget settings. */
		$defaults = array(
		'title' => 'Short News',
		'number' => '3',
		);
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<!-- Widget Title: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'framework') ?></label>
			<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" />
		</p>

		<!-- How many news -->
		<p>
			<label for="<?php echo $this->get_field_id( 'number' ); ?>"><?php _e('How many news:', 'framework') ?></label>
			<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'number' ); ?>" name="<?php echo $this->get_field_name( 'number' ); ?>" value="<?php echo $instance['number']; ?>" />
		</p>
    
    
		
	<?php
	}
}
?>